crashpad::uint128_struct Struct Reference

Stores a 128-bit quantity. More...

`#include "util/numeric/int128.h"`

## Public Attributes

uint64_t | lo
| The low 64 bits of the 128-bit quantity.
uint64_t | hi
| The high 64 bits of the 128-bit quantity.

## Detailed Description

Stores a 128-bit quantity.

This structure is organized so that 128-bit quantities are laid out in memory according to the system’s natural byte order. If a system offers a native 128-bit type, it should be possible to bit_cast<> between that type and this one.

This structure is designed to have the same layout, although not the same field names, as the Windows SDK’s `M128A` type from `<winnt.h>`. It is provided here instead of in `compat` because it is useful outside of the scope of data structures defined by the Windows SDK.

The documentation for this struct was generated from the following file:

- util/numeric/int128.h